# Uses of Class
org.eclipse.jdt.core.dom.IfStatement

Packages that use IfStatement
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of IfStatement in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return IfStatement
Modifier and Type
Method
Description
`IfStatement`
AST.`newIfStatement()`
Creates a new unparented if statement node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type IfStatement
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(IfStatement node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(IfStatement node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(IfStatement node)`
Visits the given type-specific AST node.